E4DEFRAG(8)

NOM
e4defrag - Défragmenteur en ligne pour le système de fichiers ext4

SYNOPSIS
e4defrag [ -c ] [ -v ] cible ...

DESCRIPTION
e4defrag réduit la fragmentation du fichier basé sur les extents. Le fichier ciblé par e4defrag est présent sur les systèmes de fichiers ext4 créés avec l'option -O extent (consultez mke2fs(8)). Le fichier ciblé obtient ainsi plus de blocs contigus, ce qui améliore la vitesse d'accès à ce fichier.

cible est un fichier normal, un répertoire ou un périphérique monté ayant un système de fichiers ext4. Si cible est un répertoire, e4defrag réduit la fragmentation de tous les fichiers qu'il contient. Si cible est un périphérique, e4defrag réduit la fragmentation de tous les fichiers contenus dans son point de montage.

OPTIONS

-c  Obtenir l'état de fragmentation actuel et l'état de fragmentation idéal, et calculer à partir de ces informations un score de fragmentation. En fonction de ce score, on peut déterminer s'il faut ou non exécuter e4defrag sur cible. Lorsque l'option -v est utilisée, les états de fragmentation actuel et idéal sont affichés pour chaque fichier.

    Cette option affiche aussi la taille moyenne des données par extent. Il est possible de déterminer en la voyant si un fichier a des extents idéaux ou non. Notez que la taille maximale d'un extent est 131 072 ko pour un système de fichiers ext4 (si la taille d'un bloc est 4 ko).

    Si cette option est indiquée, cible ne sera jamais défragmentée.

-v  Afficher les messages d'erreur et l'état de fragmentation avant et après la défragmentation de chaque fichier.

NOTES
e4defrag ne gère pas les fichiers d'échange (« swap files »), les fichiers dans le répertoire lost+found, et les fichiers alloués dans des blocs indirects. Lorsque cible est un périphérique ou un point de montage, e4defrag ne défragmente pas les fichiers d'autres points de montage de périphériques.

Les utilisateurs sans droits particuliers peuvent exécuter e4defrag sur leurs propres fichiers, mais le score n'est pas affiché si l'option -c est indiquée. Il est donc préférable de l'utiliser avec les droits du superutilisateur.

AUTEUR
Écrit par Akira Fujita <a-fujita@rs.jp.nec.com> et Takashi Sato <t-sato@yk.jp.nec.com>.

VOIR AUSSI
mke2fs(8), mount(8).

TRADUCTION
La traduction de cette page de manuel est maintenue par les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.